Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

List attribute client

Prev Next
Post
/list/tag-attribute-client

Used to get information on attributes associated with users or devices.


For more information on attributes and tags review our dedicated guide.


Returned attributes

- tag_id int ID of tag
- device_id int ID of the device that attribute is associated with
- value mixed value of the attribute if set; else null
- update_time int timestamp the attribute was last updated

Body parameters
Get all attributes for a specific device
{
  "apptoken": "YOUR_APPTOKEN",
  "condition": [
    [
      "device_id",
      "=",
      "55555"
    ]
  ]
}
Get a specific attribute for a specific device
{
  "apptoken": "YOUR_APPTOKEN",
  "condition": [
    [
      "device_id",
      "=",
      "55555"
    ],
    [
      "tag_id",
      "=",
      "55555555"
    ]
  ]
}
object
apptoken
string Required

Your App token

select
Array of string

Select what attributes to return, eg. ["create_time", "tag_id", "device_id"]

string
condition
string (json)

Filter the results based on some criteria, eg. [ ["create_time", ">", 1432303411] ]

limit
integer (int32)

Used with offset for pagination, eg. "limit": 50, "offset": 0 returns a max of 50 results starting at position 0

offset
integer (int32)

Used with limit for pagination

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "data": [
    {
      "id": "7",
      "project_id": "PROJECT_ID",
      "device_id": "1631352398",
      "tag_id": "43529467",
      "value": "True",
      "update_time": "1605097393"
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
data
Array of object
object
id
integer
Default0
Example7
project_id
string
ExamplePROJECT_ID
device_id
integer
Default0
Example1631352398
tag_id
integer
Default0
Example43529467
value
string
ExampleTrue
update_time
integer
Default0
Example1605097393
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string